function check_paperform()
{
  var name = document.getElementById('name');
  var city = document.getElementById('city');
  var url = document.getElementById('url');
  var description = document.getElementById('description');

  if (!name || !city || !url || !description)
    return false;

  if (name.value.length == 0 || city.value.length == 0 ||
      url.value.length == 0 || description.value.length == 0) {
      alert('Sie müssen alle Pflichtfelder ausfüllen!\nSiehe Beschreibung unten.');
      return false;
  }

  if (!zlist_valid_url(url.value)) {
      alert('Die angegebene Homepage ist ungültig!');
      return false;
  }

  var info = zlist_fetch('zeitung_check_url', ['url', url.value]);

  if (info != false) {
      alert('Die angegebene URL ist bereits für "' + info + '" gespeichert.');
      return false;
  }

  if (city.value == 'Deutschland (Stadt)') {
      alert('Sie haben keinen Erscheinungsort angegeben!');
      return false;
  }

  return true;
}

